edu.msu.cme.rdp.classifier.train.validation.movingwindow

## Class WindowTester

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.movingwindow.WindowTester

    public class WindowTester
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WindowTester(java.io.Writer writer)` Creates new Tester

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `classify(TreeFactory factory, java.util.ArrayList seqList, Window window, int windowIndex, int min_bootstrap_words)` classify each sequence from a parser
`void` `displayTreeErrorRate(HierarchyTree root, int indent)` search the tree node that the current test getSequence() belongs to

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowTester

    public WindowTester(java.io.Writer writer)
                 throws java.io.IOException

Creates new Tester

Throws:
  `java.io.IOException`

### Method Detail

#### classify

    public void classify(TreeFactory factory,
                         java.util.ArrayList seqList,
                         Window window,
                         int windowIndex,
                         int min_bootstrap_words)
                  throws java.io.IOException

classify each sequence from a parser

Throws:
  `java.io.IOException`

#### displayTreeErrorRate

    public void displayTreeErrorRate(HierarchyTree root,
                                     int indent)
                              throws java.io.IOException

search the tree node that the current test getSequence() belongs to

Throws:
  `java.io.IOException`